> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.goodflag.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.goodflag.com/_mcp/server.

# Créer un blob

POST https://workflow-manager/api/workflows/{workflowId}/blobs
Content-Type: application/pdf

Crée un blob de parapheur.

`workflowManager`

Également autorisés sans rôle : les membres d'un groupe autorisé, le propriétaire.

Reference: https://docs.goodflag.com/wm/api-reference/documentation-api/token-portail/workflow-documents/create-blob

## Authentication

- `Authorization` header (bearer token, required) — Authentification Bearer par jeton utilisateur ou jeton d'accès : `Authorization: Bearer <token>`.

## Request

### Path parameters

- `workflowId` (string, required) — L'identifiant du parapheur.

### Body (application/pdf)

This endpoint expects binary data of type application/pdf.

- Binary request body.

## Response

### 200

La référence du blob créé.

- `hash` (string, required) — L'empreinte cryptographique du blob.
- `id` (string, required) — L'identifiant du blob.
- `tenantId` (string, required) — L'identifiant du tenant.
- `workflowId` (string, required) — L'identifiant du parapheur.

## Errors

### 403 Forbidden Error

AuthenticatedUserDisabled : L'utilisateur authentifié est désactivé. ; MissingBearerToken : Un jeton Bearer est requis. ; TenantInactive : Le tenant est inactif et n'autorise aucune opération. ; UserGroupDisabled : Le groupe de l'utilisateur spécifié est désactivé. ; UserNotAllowed : L'utilisateur authentifié n'est pas autorisé à effectuer cette opération.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

### 404 Not Found Error

WorkflowNotFound : Le parapheur spécifié est introuvable.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

## Examples

**Response**

```json
{
  "hash": "obcUcumzUOJsClVDv/jHTNefKTRlTJULnZx4dfOrx+I=",
  "id": "blb_CGMQbTiY8z3xsvgEfZAabAoc",
  "tenantId": "ten_Hm5gqY6oKADYdg9cjhsVbQDH",
  "workflowId": "wfl_XL75pS8MEaE9zWU3maajKhz2"
}
```

**SDK Code**

```python Requête réussie.
import requests

url = "https://workflow-manager/api/workflows/workflowId/blobs"

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/pdf"
}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Requête réussie.
const url = 'https://workflow-manager/api/workflows/workflowId/blobs';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/pdf'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Requête réussie.
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://workflow-manager/api/workflows/workflowId/blobs"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/pdf")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Requête réussie.
require 'uri'
require 'net/http'

url = URI("https://workflow-manager/api/workflows/workflowId/blobs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/pdf'

response = http.request(request)
puts response.read_body
```

```java Requête réussie.
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://workflow-manager/api/workflows/workflowId/blobs")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/pdf")
  .asString();
```

```php Requête réussie.
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://workflow-manager/api/workflows/workflowId/blobs', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/pdf',
  ],
]);

echo $response->getBody();
```

```csharp Requête réussie.
using RestSharp;

var client = new RestClient("https://workflow-manager/api/workflows/workflowId/blobs");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/pdf");
IRestResponse response = client.Execute(request);
```

```swift Requête réussie.
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/pdf"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://workflow-manager/api/workflows/workflowId/blobs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```